Bug 241900 - ogre in rawhide is not recent enough for some new things
ogre in rawhide is not recent enough for some new things
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ogre (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 11:27 EDT by Rudolf Kastl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 05:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2007-05-31 11:27:22 EDT
Description of problem:
ogre in rawhide is not recent enough to get some newer things ready.

Version-Release number of selected component (if applicable):
ogre-1.2.5

latest upstream version: 1.4.1

would be nice if we could get the new version into rawhide.
Comment 1 Hans de Goede 2007-06-01 04:53:35 EDT
There are a number of problems with updating to 1.4.1
1) When I first packaged up ogre I did so because I was hoping this would enable
   other packagers to put lots of ogre using packages into Fedora. This hasn't 
   happened, thus ogre has little value (to me), while it costs lots of time
   todo things like update to a new upstream release. Thus I'm sorta looking for 
   someone to take over ogre, or atleast co-maintain it. Since you appear to
   have an interest in ogre, do you wish to co-maintain it? In that case I'll
   give you  a cart blanche todo the 1.4.1 update for the devel branch. For
   other branches please keep me in the loop (soname change!!!!)

2) Ogre 1.4.1 needs cegui-0.5.x, whereas Fedora currently has cegui-0.4.x, so
   before updating ogre, we first need to update cegui (and fix anything that
   depends on it like SMC from dribble) I've put Ian, the cegui maintainer in
   the CC.
Comment 2 Rudolf Kastl 2007-06-01 09:49:09 EDT
there are things that will require new cegui aswell. e.g. ember (worldforge
client) so this update will have to happen at some point anyways.

what i can offer is to fix up the ogre spec file and get it into a state were it
does what its supposed to do.

i am not sure what you expect from a co maintainer ;). currently i am quite busy
with getting new things ready. maybe something for dribble:
http://www.iris2.de/index.php/Main_Page.

lemme know what your expectations are please.
Comment 3 Hans de Goede 2007-06-01 16:53:45 EDT
(In reply to comment #2)
> there are things that will require new cegui aswell. e.g. ember (worldforge
> client) so this update will have to happen at some point anyways.
> 
> what i can offer is to fix up the ogre spec file and get it into a state were it
> does what its supposed to do.
> 
> i am not sure what you expect from a co maintainer ;). currently i am quite busy
> with getting new things ready. maybe something for dribble:
> http://www.iris2.de/index.php/Main_Page.
> 
> lemme know what your expectations are please.
> 

In the case of ogre. I'm actually looking for someone to take it over, with me
becoming a comaintainer / being available to help out when needed.
Comment 4 Ian Chapman 2007-06-01 17:01:06 EDT
Just a comment to say that cegui 0.5.0 is currently being worked on. I have a
fairly complete RPM but at least one patch still needs to be done. It should
probably go through review again due to significant changes from the 0.4 branch.
Hans, AFAIK the only package which currently uses 0.4 is chess which you
maintain. I'd like to eventually release 0.5 for F6+. Incidentally I'm updating
SMC in parallel.
Comment 5 Hans de Goede 2007-06-02 02:16:06 EDT
Ian,

Don't worry about breaking chess, atleast not in rawhide. I only packaged chess
to have a test application for ogre. Once cegui and ogre are updated I'll see if
I can fix chess and if not then I'll orphan it and ask for it to be removed from
the distro.

Comment 6 Ian Chapman 2007-06-04 06:16:13 EDT
FYI and testing, pre-review SRPM and SPEC. 

http://dribble.org.uk/reviews/cegui-0.5.0b-1.src.rpm
http://dribble.org.uk/reviews/cegui.spec

Comment 7 Hans de Goede 2007-07-01 13:10:48 EDT
I've got a version of ogre updated to 1.4.21 ready to release, however first OIS
needs to be reviewed as ogre now needs ois, see bug 246386 for the ois review,
if any of you can help getting that reviewed, then I can move forward with
updating ogre.

Thanks!

For those who want to give the new version a try now, get ois from its review
(bug 246386) and then you can get the new ogre here:
http://people.atrpms.net/~hdegoede/ogre-1.4.2-1.fc8.src.rpm
Comment 8 Ian Chapman 2007-07-01 13:54:00 EDT
The 0.5 branch of cegui should be in rawhide and F7 testing. I'll start looking
at  ois Hans as I'm keen to move things forward too.
Comment 9 Hans de Goede 2007-07-04 05:11:07 EDT
Closing, as the latest ogre (+cegui and chess) are now in RawHide.

Note You need to log in before you can comment on or make changes to this bug.